KTipDialog Class Reference

`#include <ktip.h>`

Inheritance diagram for KTipDialog:

## Public Member Functions

| KTipDialog (KTipDatabase *db, QWidget *parent=0, const char *name=0)
Public Member Functions inherited from KDialog
| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)

## Static Public Member Functions

static void | showTip (QWidget *parent, const QString &tipFile=QString::null, bool force=false)
static void | showMultiTip (QWidget *parent, const QStringList &tipFiles, bool force=false)
static void | showTip (const QString &tipFile=QString::null, bool force=false)
static void | setShowOnStart (bool show)
Static Public Member Functions inherited from KDialog
static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)

## Protected Member Functions

bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Additional Inherited Members

Public Slots inherited from KDialog
virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)
Signals inherited from KDialog
void | layoutHintChanged ()

## Detailed Description

A Tip-of-the-Day dialog.

This dialog class presents a tip-of-the-day.

Author
  Matthias Hoelzer-Kluepfel mhk@c.nosp@m.alde.nosp@m.ra.de

Definition at line 108 of file ktip.h.

## Constructor & Destructor Documentation

KTipDialog::KTipDialog | ( | KTipDatabase * | db,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Construct a tip dialog.

Parameters

  db | TipDatabase that should be used by the TipDialog.
  parent | Parent widget of TipDialog.
  name | The object name.

Parent is 0L when TipDialog is used as a mainWidget. This should be the case only in ktip, so let's use the ktip layout.

Definition at line 171 of file ktip.cpp.

## Member Function Documentation

void KTipDialog::setShowOnStart | ( | bool | show | ) |

static

Toggles the start behavior.

Normally, the user can disable the display of the tip in the dialog. This is just a way to change this setting from outside.

Definition at line 396 of file ktip.cpp.

void KTipDialog::showMultiTip | ( | QWidget * | parent,
|  | const QStringList & | tipFiles,
|  | bool | force = `false`
| ) |  |

static

Shows a tip.

This method behaves essentially as the one above, but expects a list of tips

Parameters

  parent | Parent widget of TipDialog.
  tipFiles | A List of tip files. Each has be relative to the "data" resource of KStandardDirs
  force | If true, the dialog is show, even when the users disabled it.

Definition at line 333 of file ktip.cpp.

void KTipDialog::showTip | ( | QWidget * | parent,
|  | const QString & | tipFile = `QString::null`,
|  | bool | force = `false`
| ) |  |

static

Shows a tip.

This static method is all that is needed to add a tip-of-the-day dialog to an application. It will pop up the dialog, unless the user has asked that the dialog does not pop up on startup.

Note that you probably want an item in the help menu calling this method with force=true.

Parameters

  parent | Parent widget of TipDialog.
  tipFile | The name of the tip file. It has be relative to the "data" resource of KStandardDirs
  force | If true, the dialog is show, even when the users disabled it.

Definition at line 328 of file ktip.cpp.

void KTipDialog::showTip | ( | const QString & | tipFile = `QString::null`,
|  | bool | force = `false`
| ) |  |

static

Shows a tip.

This methods calls showTip() with the applications main window as parent.

Definition at line 323 of file ktip.cpp.

The documentation for this class was generated from the following files:

- ktip.h
- ktip.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys